POST /v1/sessions/\{id\}/registrations
Service: live · operationId: (none)
Register the authenticated user for a live session (waitlist if at capacity).
Required scopes
(no scope declared — review service config)
Path parameters
id(string) required —
Responses
201 Registered or waitlisted
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid"
},
"session_id": {
"type": "string",
"format": "uuid"
},
"user_id": {
"type": "string"
},
"status": {
"type": "string",
"enum": [
"registered",
"waitlist",
"cancelled"
]
},
"registered_at": {
"type": "string",
"format": "date-time"
},
"cancelled_at": {
"type": [
"string",
"null"
],
"format": "date-time"
}
},
"required": [
"id",
"session_id",
"user_id",
"status",
"registered_at",
"cancelled_at"
]
}404 Not found
{
"type": "object",
"properties": {
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"error",
"message"
]
}412 Session not joinable
{
"type": "object",
"properties": {
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"error",
"message"
]
}Example
curl -X POST https://live.platform.loop.health/v1/sessions/{id}/registrations \
-H "Authorization: Bearer $ACCESS_TOKEN"Related
services/live— service overview- All endpoints — directory across services
- Auth model — how scopes are enforced